DocumentBuilderImpl
Keywords: com.icl.saxon.om.DocumentBuilderImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.om
Class DocumentBuilderImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          com.icl.saxon.om.DocumentBuilderImpl

public class DocumentBuilderImpl
extends DocumentBuilder

Constructor Summary
`DocumentBuilderImpl()`

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Obtain an instance of a `DOMImplementation` object.
`boolean` | `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`boolean` | `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`org.w3c.dom.Document` | `newDocument()` Obtain a new instance of a DOM `Document` object to build a DOM tree with.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource in)` Parse the content of the given input source as an XML document and return a new DOM `Document` object.
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)` Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler er)` Specify the `ErrorHandler` to be used by the parser.

Methods inherited from class javax.xml.parsers.DocumentBuilder
`getSchema, isXIncludeAware, parse, parse, parse, parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderImpl

    public DocumentBuilderImpl()

Method Detail

### isNamespaceAware

    public boolean isNamespaceAware()

  Description copied from class: `DocumentBuilder`
  Indicates whether or not this parser is configured to understand namespaces.

  Specified by:
    `isNamespaceAware` in class `DocumentBuilder`
  Returns:
    true if this parser is configured to understand namespaces; false otherwise.

### isValidating

    public boolean isValidating()

  Description copied from class: `DocumentBuilder`
  Indicates whether or not this parser is configured to validate XML documents.

  Specified by:
    `isValidating` in class `DocumentBuilder`
  Returns:
    true if this parser is configured to validate XML documents; false otherwise.

### newDocument

    public org.w3c.dom.Document newDocument()

  Description copied from class: `DocumentBuilder`
  Obtain a new instance of a DOM `Document` object to build a DOM tree with.

  Specified by:
    `newDocument` in class `DocumentBuilder`
  Returns:
    A new instance of a DOM Document object.

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource in)
                               throws org.xml.sax.SAXException

  Description copied from class: `DocumentBuilder`
  Parse the content of the given input source as an XML document and return a new DOM `Document` object. An `IllegalArgumentException` is thrown if the `InputSource` is `null` null.

  Specified by:
    `parse` in class `DocumentBuilder`
  Parameters:
    `in` - InputSource containing the content to be parsed.
  Returns:
    A new DOM Document object.
  Throws:
    `org.xml.sax.SAXException` - If any parse errors occur.
  See Also:
    `DocumentHandler`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Description copied from class: `DocumentBuilder`
  Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed. Setting this to `null` will result in the underlying implementation using it's own default implementation and behavior.

  Specified by:
    `setEntityResolver` in class `DocumentBuilder`
  Parameters:
    `er` - The `EntityResolver` to be used to resolve entities present in the XML document to be parsed.

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler er)

  Description copied from class: `DocumentBuilder`
  Specify the `ErrorHandler` to be used by the parser. Setting this to `null` will result in the underlying implementation using it's own default implementation and behavior.

  Specified by:
    `setErrorHandler` in class `DocumentBuilder`
  Parameters:
    `er` - The `ErrorHandler` to be used by the parser.

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Description copied from class: `DocumentBuilder`
  Obtain an instance of a `DOMImplementation` object.

  Specified by:
    `getDOMImplementation` in class `DocumentBuilder`
  Returns:
    A new instance of a `DOMImplementation`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD